import 'dart:async';
import 'package:shared_preferences/shared_preferences.dart';

abstract class CheckAuth {
  Future<bool> checkLogin();
}

class CurCheckAuth implements CheckAuth {
  bool login = false;

  @override
  Future<bool> checkLogin() async {
    SharedPreferences pref = await SharedPreferences.getInstance();
    login = pref.getBool('login');
    return login;
  }
}
